package com.simpledbbook.servlet;

import java.io.IOException;
import javax.servlet.ServletException;
import javax.servlet.http.*;

import com.simpledbbook.tasklist.*;

public class Login extends BaseServlet {
  private static final long serialVersionUID = 1L;

  protected void doGet(HttpServletRequest req,
      HttpServletResponse resp) throws ServletException, IOException {
    String userId = req.getParameter("userId");
    String password = req.getParameter("password");

    // handle direct navigation
    if (empty(userId) || empty(password)) {
      if (empty(getSessionCookie(req))) {
        req.getRequestDispatcher("index.jsp").forward(req, resp);
      } else { // redirect for the logged in
        resp.sendRedirect("tasks");
      }
      return;
    }

    // login
    try {
      TaskWorkspace workspace = app.logIn(userId, password);
      setCookies(resp, workspace.getSessionId(), userId);
      resp.sendRedirect("tasks");
    } catch (AuthenticationFailure af) {
      req.setAttribute("message", "Invalid Credentials");
      req.getRequestDispatcher("index.jsp").forward(req, resp);
    } catch (Exception e) {
      e.printStackTrace();
      req.setAttribute("message", "Error: " + e.getClass().getName());
      req.getRequestDispatcher("index.jsp").forward(req, resp);
    }
  }
}
