package com.simpledbbook.servlet;

import java.io.IOException;
import java.util.List;

import javax.servlet.ServletException;
import javax.servlet.http.*;

import com.simpledbbook.tasklist.*;

public class Tasks extends BaseServlet {
  private static final long serialVersionUID = 1L;

  protected void doGet(HttpServletRequest req,
      HttpServletResponse resp) throws ServletException, IOException {

    String session = getSessionCookie(req);
    if (empty(session)) {
      resp.sendRedirect("./");
    } else {
      try {
        String today = TaskService.today();
        String user = getUserCookie(req);
        List<String> tasks = app.getTasksForDay(user, today, session);
        req.setAttribute("tasklist", tasks);
        req.getRequestDispatcher("tasks.jsp").forward(req, resp);
      } catch (AuthenticationFailure af) {
        af.printStackTrace();
        deleteSessionCookie(resp);
        resp.sendRedirect("./");
      }
    }
  }
}
